#
# spec file for package xarchiver
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           xarchiver
Version:        0.5.2+20090319
Release:        9.14.1
Summary:        Lightweight, desktop-independent archive manager
License:        GPL-2.0+
Group:          Productivity/Archiving/Compression
Url:            http://xarchiver.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.1
Patch0:         xarchiver-0.5.2+20090319-honor-docdir.patch
# PATCH-FIX-UPSTREAM xarchiver-fix-double-escaping.patch bnc#723170 gber@opensuse.org -- Fix double escaping of filenames passed to the --add-to commandline option
Patch1:         xarchiver-fix-double-escaping.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  startup-notification
BuildRequires:  update-desktop-files
BuildRequires:  xfce4-dev-tools
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(pango)
Recommends:     bzip2
Recommends:     gzip
Recommends:     p7zip
Recommends:     unrar
Recommends:     unzip
Recommends:     xdg-utils
Recommends:     zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xarchiver is a lightweight, desktop-independent archive manager, it has been
designed from the ground up to be fast and with a clean and intuitive user
interface. It supports the 7-zip, arj, bzip2, gzip, rar, lha, lzma, lzop, deb,
rpm, tar and zip archive formats.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# fix spurious executable permissions of some debug files
chmod -x src/mime.*

%build
xdt-autogen
%configure --docdir=%{_defaultdocdir}/%{name}
make %{?_smp_mflags}

%install
%make_install
install -D -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 ./icons/48x48/xarchiver.png %{buildroot}%{_datadir}/pixmaps/xarchiver.png
%suse_update_desktop_file -i %{name} GTK Archiving Utility
%fdupes %{buildroot}%{_datadir}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%if 0%{?suse_version} >= 1140

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/xarchiver
%{_libexecdir}/thunar-archive-plugin
%{_datadir}/applications/xarchiver.desktop
%{_datadir}/icons/*/*/*/*
%{_datadir}/pixmaps/xarchiver/
%{_datadir}/pixmaps/xarchiver.png
%doc %{_mandir}/man1/xarchiver.1*
%doc %{_defaultdocdir}/%{name}

%changelog
* Tue Jan 10 2012 gber@opensuse.org
- added xarchiver-fix-double-escaping.patch in order to fix double
  escaping of filenames passed to the --add-to commandline option
  (bnc#723170)
* Thu Feb 17 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Sun Dec 26 2010 gber@opensuse.org
- added xarchiver-0.5.2+20090319-honor-docdir.patch in order to
  prevent documentation to be installed in /usr/share/doc
- actually use fdupes
- improved summary/description
* Sun Mar 28 2010 andrea@opensuse.org
- added -pthread to CFLAGS ad CXXFLAGS to allow debugging
- removed obsoletes patches
- Merging upstream version 0.5.2+20090319:
  - fixes segment violation (Closes: sf#517488)
- added man page
- added Recommens to enable all xarchiver features
* Thu Jan  7 2010 andrea@opensuse.org
- backport fedora patches
  - xarchiver-0.5.2-default-archive-format.patch
  - xarchiver-0.5.2-no-donators-menu.patch
* Fri Nov 14 2008 prusnak@suse.cz
- updated to 0.5.2
  * Allow bzip2/lzop/gzip/lzma compressed files to be created
    through drag and drop
  * Fixed seg-fault when drag and drop to the sidebar
  * Fixed double entries display when adding to tar only archives
  * Changed suffix for tar.lzop to tar.lzo
  * Changed lzop suffix to lzo
  * Made the Options tab in the add dialog to be grayed out when using
    file compressors like bzip2 and gzip
  * Fixed fixed size of the iconview in the pref dialog
  * Fixed reset of the temp directory to use back to /tmp
  * Fixed bug when adding to rar archives with password
  * Made the password field to work when extracting with the -e switch
    a password protected archive
  * Fixed bug when adding with the thunar archive plugin
  * Fixed missed deletion of files with tar.lzop compressed archives
  * Enabled password field in the extract dialog when using the -e switch
  * Fixed disabled buttons after creating a new archive
* Sat Nov  8 2008 bwalle@suse.de
- Update to 0.5.1
  o Changes from 0.5.0 to 0.5.1
  * Added support to lzop thanks to Kevin Day.
  * Fixed bug when adding with tar.
  * Added turkish translation.
  o Changes from 0.4.6 to 0.5.0
  * Archive content can be browsed just like a file manager.
  * Archive content can also now be browsed through a sidepane.
  * Mime icon for each of the archive entries.
  * New archive type support: lzma and tar.lzma.
  * Files and directories can now be added into archive
    directories.
  * Files can be directly opened with the registered application
    within Xarchiver.
  * Progress window when using Xarchiver from the cmd-line or
    from Thunar.
  * Ability to add a comment for those archives supporting it.
  * Added a brand new preferences dialog to set Xarchiver's
    options.
  * Ability to save the archive content in text or HTML format.
  * The add and extract dialogs layout have been redesigned.
  * Multi-Extract dialog for extracting more archives in one
    shot with percentage progress window.
  * Context menu on each of the entries with cut/copy/paste
    ability from and to archives.
  * Ability to rename entries in the archives.
  * The cmd-line output window now displays each archiver's
    output.
  * Tabs are now reorderable.
  * Better menu layout.
  * Bug fixes.
  * Fixed several memory leaks thanks to valgrind.
* Tue Dec  4 2007 prusnak@suse.cz
- use %%find_lang macro
* Fri Aug  3 2007 stbinner@suse.de
- fix capitalization of GenericName in .desktop file
* Tue May 22 2007 prusnak@suse.cz
- sync with BuildService
* Sun Jan 21 2007 bwalle@suse.de
- fixed build errors (program compares a char* pointer with a
  string literal)
- fixed typo in RPM group
- fixed %%files section
* Mon Nov 27 2006 bwalle@suse.de
- updated to version 0.4.6
* Sat Nov  4 2006 bwalle@suse.de
- updated to 4.3.99.2 (4.4 rc2)
* Mon Sep  4 2006 pnemec@suse.cz
- updated to new version 0.4.0
* Wed Aug 23 2006 pnemec@suse.cz
- added dbus-devel to build requires
* Tue Aug  1 2006 pnemec@suse.cz
- initial comment, version is 0.3.9.2beta2
- package moved into BuildService
- added xarchiver-desktop.patch - small modification of desktop file
